/***************************************************************
 * Name:      wx022App.cpp
 * Purpose:   Code for Application Class
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2025-05-23
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#ifdef WX_PRECOMP
#include "wx_pch.h"
#endif

#include "wx022App.h"
#include "wx022Main.h"
#include "logo_peq.xpm"

IMPLEMENT_APP(wx022App);

bool wx022App::OnInit()
{
    wx022Frame* frame = new wx022Frame(0L, _("wxWidgets Ejemplo 22"));
    frame->SetIcon(logo); // To Set App Icon
    frame->Show();

    return true;
}
